Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Class LocalizedMessages

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.LocalizedMessages

    public final class LocalizedMessages

extends Object

Collection of messages.

Version:
  1.0
Author:
  Oliver Burn

Constructor Summary
`LocalizedMessages()`

Method Summary
`void` | `add(LocalizedMessage aMsg)` Logs a message to be reported.
`LocalizedMessage[]` | `getMessages()`
`void` | `reset()` Reset the object.
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalizedMessages

    public LocalizedMessages()

Method Detail

### getMessages

    public LocalizedMessage[] getMessages()

  Returns:
    the logged messages

### reset

    public void reset()

  Reset the object.

### add

    public void add(LocalizedMessage aMsg)

  Logs a message to be reported.

  Parameters:
    `aMsg` - the message to log

### size

    public int size()

  Returns:
    the number of messages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD